### Goals
- The trainee will understand where system logs are stored in a Linux machine
- The trainee will be familiar with the available tools for viewing events and logs 

### Tasks
- Use the command `cat /var/log/audit/audit.log | tail`
  - Briefly explain the output of the command
  - What is the purpose of the file '/var/log/audit/audit'?
- Which file in a Linux system is considered the main logging file?
- In which file information about `su` and `sudo` is written?
- Print all the sudo events in the last 100 lines of the file, following format: "Date: [date] User: [user]", use `awk` to do so.
- What does the `journalctl` command print by default?
- Using `journalctl`, print all the logs since the last boot
- Read about logrotate, which service runs the logrotate commands?
- Rotate /var/log/templog log file with the following configs:
  - Rotate when it's size gets to 10 bytes
  - Use compression
  - Don't rotate if the file is empty
  - Use the 'missingok' option
- Use the `logrotate` command to rotate the log

### References
- [Basic Configuration of Rsyslog](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/system_administrators_guide/s1-basic_configuration_of_rsyslog)
